#ifndef __CAN_H_
#define __CAN_H_


#define 	DELAY_SEL_ADC	5						// Nombre de cycles ncessaire pour la conversion ADC	

#define		TRIS_AV_G		TRISAbits.TRISA0		// Capteur avant gauche
#define		TRIS_AV_D		TRISAbits.TRISA1		// Capteur avant droit
#define		TRIS_AR_G		TRISAbits.TRISA2		// Capteur arrire gauche
#define		TRIS_AR_D		TRISAbits.TRISA3		// Capteur arrire droit


// --------------------------------------------------------------------------
/* Fonction CAN_Init
 * Initialise les convertisseurs Analogiques/Numriques (et les ports lis)
*/
void CAN_Init(void);



// --------------------------------------------------------------------------
/* Fonction CAN_Convert
 * Effectue une conversion sur le canal pass en paramtre
 * La valeur retourne est le rsultat brut de la converion
 * appartenant  l'intervalle [0;1023]
*/
int CAN_Convert(unsigned char);


#endif